Loading...
Searching...
No Matches
Opm::Accelerator::RocmMatrix< Scalar > Class Template Reference

This struct resembles a csr matrix. More...

`#include <rocsparseMatrix.hpp>`

## Public Member Functions

| RocmMatrix (int Nb_, int Mb_, int nnzbs_, unsigned int block_size_)
void | upload (Scalar *vals, int *cols, int *rows, hipStream_t stream)
void | upload (Matrix< Scalar > *matrix, hipStream_t stream)
void | upload (BlockedMatrix< Scalar > *matrix, hipStream_t stream)

## Public Attributes

Scalar * | nnzValues
int * | colIndices
int * | rowPointers
int | Nb
int | Mb
int | nnzbs
unsigned int | block_size

## Detailed Description

template<class Scalar>
class Opm::Accelerator::RocmMatrix< Scalar >

This struct resembles a csr matrix.

The documentation for this class was generated from the following files:

- opm/simulators/linalg/gpubridge/rocm/rocsparseMatrix.hpp
- opm/simulators/linalg/gpubridge/rocm/rocsparseMatrix.cpp